<template>
	<view class="billall">

		<view class="u-listdata">
			<view style="padding:10rpx 0 0 30rpx">
				共有 <span style="color: red">{{totalnumber}}</span>条记录
			</view>

			<u-list @scrolltolower="scrolltolower" :pagingEnabled='true'>
				<u-list-item v-for="(item, index) in indexList" :key="index">

					<view class="companylist">			
						<h3>{{item.roomName}}</h3>
						<view class="Currentamount">
							开锁方式:{{item.openDoorType}}
						</view>
						<view class="Currentamount">
							开锁时间: {{item.openDoorDate}}
						</view>
						<view class="Currentamount">
							区域:￥{{item.areaname}}
						</view>
						<view class="Currentamount">
							开锁人: {{item.operateName}}
						</view>
					
					</view>

				</u-list-item>
			</u-list>

		</view>



	</view>
</template>

<script>

	export default {

		data() {

			return {
				totalnumber: 0,
				setyesno: true,

				indexList: [],
				dataList: [],
				dataForm: {
					 "currentPage": 1,
					  "deviceId": "",
					  "pageSize": 10,
					  "roomId": "",
					  "tempPwd": "",
					  "tenantsId": "",
					  "userName": ""
				},

				showtype: false,
				showdct: false,
				mytitle: '',
				alldata: [],
				showfloor: false,
				loading: false,
				columns: [],
				pd: true,
				columnData: [],
				myday: '',
				mytype: '全部',
				showPicker: false,

			}
		},
		//监听页面加载，其参数为上个页面传递的数据，参数类型为 Object（用于页面传参
	
		onLoad(options) {
		    console.log(options.companyOrgId);
			this.dataForm.roomId= options.companyOrgId;
			this.getalldata();
		},
		//监听页面初次渲染完成。注意如果渲染速度快，会在页面进入动画完成前触发
		onReady() {
			// 微信小程序需要用此写法

		},

		//监听页面隐藏
		onHide() {},
		//监听窗口尺寸变化
		onResize() {},
		//监听页面卸载
		onUnload() {},
		//监听用户下拉动作，一般用于下拉刷新
		onPullDownRefresh() {},


		methods: {
			
			scrolltolower() {
				if (this.pd&&this.dataForm.currentPage>1) {
					this.getalldata();
				} else {
					return
				}
			},

			getalldata() {
				this.$api.post('/lock/doorOpeatePage', this.dataForm)
					.then(res => {
						this.dataForm.currentPage = this.dataForm.currentPage + 1;
						this.totalnumber = res.data.data.total;
						if (res.data.data.list.length != 0) {
							this.indexList.push(...res.data.data.list);
							this.pd = true;
							console.log(this.indexList)
						} else {
							uni.showToast({
								title: '暂无更多数据了',
								icon: 'none',
								duration: 1500
							})
							this.pd = false;
						}

					})
			},








		}
	}
</script>

<style lang="scss">
	.Currentamount {
		padding-left: 30rpx;
		min-height: 50rpx;
		line-height: 50rpx;
		color: #BCB3A7;

		span {
			color: #FA5555;
			padding-left: 9rpx;
		}
	}

	.Callfee {
		width: 100rpx;
		height: 45rpx;
		text-align: center;
		line-height: 45rpx;
		color: #5C8FFF;
		border: 1px solid #5C8FFF;
		font-size: 22rpx;
		position: absolute;
		bottom: 10rpx;
		right: 10px;
		font-weight: bold;
	}

	.companylist {
		margin: 20rpx 30rpx;
		background: #fff;
		min-height: 290rpx;
		border-radius: 10px;
		position: relative;

		h3 {
			height: 70rpx;
			line-height: 70rpx;
			padding-left: 30rpx;
		}
	}

	.settled {
		background-color: #09C700;
		width: 120rpx;
		height: 60rpx;
		text-align: center;
		line-height: 60rpx;
		color: #fff;
		font-size: 14rpx;
		position: absolute;
		top: 0px;
		right: 0px;
		border-top-right-radius: 10rpx;
		border-bottom-left-radius: 10rpx;
	}

	.outstanding {
		background-color: #09C700;
		width: 120rpx;
		height: 60rpx;
		text-align: center;
		line-height: 60rpx;
		color: #fff;
		font-size: 14rpx;
		position: absolute;
		top: 110rpx;
		right: 0px;
		border-top-left-radius: 10rpx;
		border-bottom-left-radius: 10rpx;
	}

	.outstanding1 {
		background-color: #09C700;
		width: 120rpx;
		height: 60rpx;
		text-align: center;
		line-height: 60rpx;
		color: #fff;
		font-size: 14rpx;
		position: absolute;
		top: 215rpx;
		right: 0px;
		border-top-left-radius: 10rpx;
		border-bottom-left-radius: 10rpx;
	}

	.outstanding2 {
		background-color: #09C700;
		width: 120rpx;
		height: 60rpx;
		text-align: center;
		line-height: 60rpx;
		color: #fff;
		font-size: 14rpx;
		position: absolute;
		bottom: 0px;
		right: 0px;
		border-top-left-radius: 10rpx;
		border-bottom-right-radius: 10rpx;
	}




	.billall {}

	.topbill {
		display: flex;
		justify-content: space-around;
		align-items: center;
		height: 100rpx;
		background-color: #e6e6e6;
	}

	.topbilledit {
		display: flex;
		justify-content: space-around;
		align-items: center;
	}

	.changetime1 {
		padding-right: 10rpx;
	}
</style>